Game Develop C++ Platform: Sound Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Public Member Functions | Public Attributes | List of all members
Sound Class Reference
Sound engine

Represents a sound to be played. More...

`#include <Sound.h>`

Inheritance diagram for Sound:
[legend]
Collaboration diagram for Sound:
[legend]

## Public Member Functions

| Sound (std::string file)
| Sound (const Sound &copy)
sf::Sound::Status | GetStatus () const
void | SetVolume (float volume_)
| Mise à jour du volume fictif du son. More...
float | GetVolume () const
void | SetPitch (float newPitch)
float | GetPitch () const
void | SetPlayingOffset (unsigned int timeOffset)
unsigned int | GetPlayingOffset () const
void | UpdateVolume ()

## Public Attributes

sf::SoundBuffer | buffer
sf::Sound | sound
std::string | file

## Detailed Description

Represents a sound to be played.

See Also
  SoundManager

## Member Function Documentation

float Sound::GetPitch | ( | ) |  | const

inline

Get the pitch of the sound

unsigned int Sound::GetPlayingOffset | ( | ) |  | const

inline

Return the current playing position of the music, in milliseconds.

sf::Sound::Status Sound::GetStatus | ( | ) |  | const

inline

Get Music SFML Status ( Paused, Playing, Stopped )

float Sound::GetVolume | ( | ) |  | const

inline

Get sound volume

void Sound::SetPitch | ( | float | newPitch) |  |

inline

Change the pitch of the sound

void Sound::SetPlayingOffset | ( | unsigned int | timeOffset) |  |

inline

Change the current playing position of the sound.

void Sound::SetVolume | ( | float | volume_) |  |

Mise à jour du volume fictif du son.

Change sound volume

Here is the call graph for this function:

void Sound::UpdateVolume | ( | ) |  |

Internal member functions to update music volume according to global volume.

Mise à jour du volume réel du son en fonction du volume global et du son.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Sound.h
- Sound.cpp